package com.agfa.wildfly.interceptor.mdb;

import java.util.Optional;

import javax.ejb.Stateless;

import com.agfa.wildfly.interceptor.mdb.cdi.Logged;

@Stateless
@Logged
public class ToUpperCaseStringTransformer implements StringTransformer {
    @Override
    public String transform(String s) {
        return Optional.ofNullable(s).map(String::toUpperCase).orElseGet(() -> null);
    }
}
